# Create comment for chosen request.

Create comment for chosen request.Expect error codes:INVALID_EMPLOYEE - when invalid employee id providedINVALID_CONTENT - when invalid content providedINVALID_REQUEST - when invalid absence request provided

Endpoint: POST /leave/request/v1/create-comment
Version: v1
Security: basicAuth

## Request fields (application/json):

  - `creator` (string, required)
    Employee identifier. You can use e-mail or external identifier in format (externalNumber:ABC123)
    Example: "john.white@mycompany.com"

  - `content` (string, required)
    Comment content
    Example: "Home office"

  - `absenceRequestId` (integer, required)
    Absence request id
    Example: 12

## Response 200 fields (application/json):

  - `commentator` (object, required)
    Employee

  - `commentator.firstName` (string, required)
    Employee first name
    Example: "John"

  - `commentator.lastName` (string, required)
    Employee last name
    Example: "Williams"

  - `commentator.email` (string, required)
    Employee email
    Example: "john.williams@domain.com"

  - `commentator.externalId` (string)
    Employee external identifier
    Example: "A12Y"

  - `content` (string, required)
    Comment content

  - `absenceRequestId` (integer, required)
    Absence request ID

## Response 400 fields (application/json):

  - `message` (string)
    Human readable error explanation.
    Example: "Api error"

  - `code` (string)
    Error code.
    Example: "INVALID_JSON_PAYLOAD"

  - `field` (string)
    Which field of payload object caused error. NULL when error is not related to particular field
    Example: "field"

## Response 401 fields (application/json):

  - `message` (string, required)
    Error details
    Example: "Authentication failure"

  - `code` (string, required)
    General type of error
    Example: "AUTH"

  - `field` (string)
    Leftover for backward compatibility

## Response 429 fields (application/json):

  - `code` (string, required)
    General type of error
    Example: "QUOTA_EXCEEDED"

  - `field` (string, required)
    Detailed info about quota and it's current usage
    Example: "Your current usage is 101/day, 10/hour, 1/sec\nYour current limits 100/day, 10/hour, 1/sec."

## Response 500 fields (application/json):

  - `message` (string, required)
    Error details
    Example: "An unexpected error occurred"

  - `code` (string, required)
    General type of error
    Example: "INTERNAL_SERVER_ERROR"

## Response 504 fields (application/json):

  - `message` (string, required)
    Error details
    Example: "Public API call exceeded timeout"

  - `code` (string, required)
    General type of error
    Example: "TIMEOUT"


## Response 403 fields
